SAP Knowledge Base Article - Preview

2132031 - Downgrade fails with "ERROR: Cannot downgrade to '15.x' server, which does not support bigdatetime and bigtime datatypes." - ASE

Symptom

  • Downgrading from Adaptive Server Enterprise (ASE) 157 ESD#3 or later version to a pre-15.5 version
  • Downgrade prepare step will fail with error message

"ERROR: Cannot downgrade to '15.x.x.x' server, which does not support bigdatetime and bigtime datatypes."

  • Any user object is created using these datatypes ('bigdatetime', 'bigtime', 'bigdatetimen', 'bigtimen'), a similar error message is reported.

Read more...

Environment

  • SAP Adaptive Server Enterprise (ASE) 15.7
  • Sybase Adaptive Server Enterprise (ASE) 15.5

Product

SAP Adaptive Server Enterprise 15.7 ; Sybase Adaptive Server Enterprise 15.5

Keywords

KBA , sp_downgrade , sybsystemprocs , datatypes , BC-SYB-ASE , Sybase ASE Database Platform (non Business Suite) , BC-DB-SYB , SAP Business Suite on Sybase ASE Database Platform , BW-SYS-DB-SYB , BW on Sybase ASE Database Platform , Bug Filed

About this page

This is a preview of a SAP Knowledge Base Article. Click more to access the full version on SAP ONE Support launchpad (Login required).

Search for additional results

Visit SAP Support Portal's SAP Notes and KBA Search.